net.sf.okapi.common.resource

## Class StartSubDocument

- java.lang.Object
- - net.sf.okapi.common.resource.BaseNameable
  - - net.sf.okapi.common.resource.StartSubDocument

- All Implemented Interfaces:
    IResource, INameable, IWithAnnotations, IWithBilingualProperties, IWithProperties

      public class StartSubDocument
      extends BaseNameable

  Resource associated with the filter event START_SUBDOCUMENT.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected IParameters` | `params`

    - ### Fields inherited from class net.sf.okapi.common.resource.BaseNameable

      `annotations, id, isTranslatable, mimeType, name, preserveWS, properties, skeleton, sourceProperties, type`

    - ### Fields inherited from interface net.sf.okapi.common.IResource

      `COPY_ALL, COPY_CONTENT, COPY_PROPERTIES, COPY_SEGMENTATION, COPY_SEGMENTED_CONTENT, CREATE_EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StartSubDocument()`
    `StartSubDocument(java.lang.String parentId)`
    `StartSubDocument(java.lang.String parentId, java.lang.String id)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `IParameters` | `getFilterParameters()` Gets the current parameters for this sub-document.
    `java.lang.String` | `getParentId()`
    `void` | `setFilterParameters(IParameters params)` Sets the parameters for this sub-document.
    `void` | `setParentId(java.lang.String parentId)`

    - ### Methods inherited from class net.sf.okapi.common.resource.BaseNameable

      `createTargetProperty, getAnnotation, getAnnotations, getId, getMimeType, getName, getProperties, getProperty, getPropertyNames, getSkeleton, getSourceProperties, getSourceProperty, getSourcePropertyNames, getTargetLocales, getTargetProperty, getTargetPropertyNames, getType, hasProperty, hasSourceProperty, hasTargetProperty, isTranslatable, preserveWhitespaces, removeProperty, removeSourceProperty, removeTargetProperty, setAnnotation, setId, setIsTranslatable, setMimeType, setName, setPreserveWhitespaces, setProperties, setProperty, setSkeleton, setSourceProperties, setSourceProperty, setTargetProperty, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### params

          protected IParameters params

  - ### Constructor Detail

    - #### StartSubDocument

          public StartSubDocument()

    - #### StartSubDocument

          public StartSubDocument(java.lang.String parentId)

    - #### StartSubDocument

          public StartSubDocument(java.lang.String parentId,
                          java.lang.String id)

  - ### Method Detail

    - #### getParentId

          public java.lang.String getParentId()

    - #### setParentId

          public void setParentId(java.lang.String parentId)

    - #### getFilterParameters

          public IParameters getFilterParameters()

      Gets the current parameters for this sub-document.
      Returns:
        the object containing the parameters for this document.

    - #### setFilterParameters

          public void setFilterParameters(IParameters params)

      Sets the parameters for this sub-document.
      Parameters:
        `params` - the object containing the parameters for this document.